import { Connection, Logger } from '@salesforce/core';
import { RegistryAccess } from '../registry';
import { FileProperties } from '../client/types';
import { MetadataComponent } from './types';
export interface ResolveConnectionResult {
    components: MetadataComponent[];
    apiVersion: string;
}
/**
 * Resolve MetadataComponents from an org connection
 */
export declare class ConnectionResolver {
    protected logger: Logger;
    private connection;
    private registry;
    private mdTypeNames;
    constructor(connection: Connection, registry?: RegistryAccess, mdTypes?: string[]);
    resolve(componentFilter?: (component: Partial<FileProperties>) => boolean): Promise<ResolveConnectionResult>;
    private listMembers;
}
